Subject: worms in grass

From: [email-masked] (SKenn33434)
Date: 3 Nov 1995 15:53:13 -0500

I live in a Southwest desert climate.  I have thousands of tiny worms in
my Santa Anna Bermuda grass.  They are approximately 1/2" long, skinny,
reddish/pink and opaque.  They push up little dirt granulars at night and
make thousands of tiny mounds.  Dirt is like silt.  As the dirt is
appearing, the grass is disappearing.  I now have large patches (some 10
sq ft) of nothing but dirt and worm mounds.
Took in a sample of a dozen worms to the Arizona State Agriculture Co-op. 
 They said it is a type of earthworm and is beneficial to soil.  They said
to stop watering the grass every other day, and see if they go deeper into
the soil.   I stopped for 4 weeks.  Worms apparently went deeper because
the mounds disappeared.  But then it rained and the worms are back.
Any suggestions?  I want to save my grass.   
Please e-mail me at [email-masked].